%global momorel 6

Name:           perl-B-Keywords
Version:        1.09
Release:        %{momorel}m%{?dist}
Summary:        Lists of reserved barewords and symbol names
License:        "Distributable, see LICENSE"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/B-Keywords/
Source0:        http://www.cpan.org/modules/by-module/B/B-Keywords-%{version}.tar.gz
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl

%description
B::Keywords supplies seven arrays of keywords: @Scalars, @Arrays, @Hashes,
  @Filehandles, @Symbols, @Functions, and @Barewords. The @Symbols array
  includes the contents of each of @Scalars, @Arrays, @Hashes, and
  @Filehandles. Similarly, @Barewords adds a few non-function keywords and
  operators to the @Functions array.

%prep
%setup -q -n B-Keywords-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.09-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.09-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.09-4m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.09-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.09-2m)
- rebuild against perl-5.10.1

* Tue Mar 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.09-1m)
- update to 1.09

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.08-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.08-2m)
- rebuild against gcc43

* Tue Oct  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.08-1m)
- update to 1.08
- do not use %%NoSource macro

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.06-2m)
- use vendor

* Thu Feb 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.06-1m)
- update to 1.06

* Sun Jan 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.05-1m)
- Specfile autogenerated by cpanspec 1.69.1 for Momonga Linux.
